Description: Don't embed timestamp into HTML
 For generated HTML files, the current timestamp is embedded.
 As this prevents the package from building reproducible and
 provides no useful information it can be removed. For more
 information, see <https://wiki.debian.org/ReproducibleBuilds>.
Origin: debian
Author: Reiner Herrmann <reiner@reiner-h.de>
Last-Update: 2015-07-12

Index: tth/tthg.lex
===================================================================
--- tth.orig/tthg.lex	2020-09-29 20:57:37.104706417 +0200
+++ tth/tthg.lex	2020-09-29 20:57:37.068707807 +0200
@@ -6007,7 +6007,6 @@
 char ttname[20];
 time_t secs_elapsed;
 time_t make_time=939087164;
-char timestr[]="On 00 Jan 2000, 00:00.";
 FILE *fdin=0;
 int horizmode=1; /* In signoff use font tags not divs */
 char main_input[TTH_CHARLEN];
@@ -6165,20 +6164,12 @@
   yylex();
   fprintf(stderr, "Number of lines processed approximately %d\n", 
 	  tth_num_lines-1);
-  /* Time stamp */
-  time(&secs_elapsed);
-  spoint=ctime(&secs_elapsed);
-  strncpy(timestr+3,spoint+8,2);
-  strncpy(timestr+6,spoint+4,3);
-  strncpy(timestr+10,spoint+20,4);
-  strncpy(timestr+16,spoint+11,5);
-  if(raw==2)*timestr=0; /* Not if -r2 */
   if(raw!=1 && raw != 4){
     fprintf(tth_fdout,"\n<br /><br /><hr /><small>File translated from\n\
 T<sub>%sE%s</sub>X\nby <a href=\"http://hutchinson.belmont.ma.us/tth/\">\n\
 T<sub>%sT%s</sub>%s</a>,\n\
-version %s.<br />%s</small>\n",TTH_SMALL,TTH_SIZEEND,TTH_SMALL,TTH_SIZEEND
-		    ,TTH_NAME,TTH_VERSION,timestr);
+version %s.</small>\n",TTH_SMALL,TTH_SIZEEND,TTH_SMALL,TTH_SIZEEND
+		    ,TTH_NAME,TTH_VERSION);
   }
   if(raw!=1){
     if(tth_htmlstyle&3)fprintf(tth_fdout,"</div></body>");
